{
  "extends": "adonis-preset-ts/tsconfig.json",
  "include": [
    // "**/*",
    "**/*",
    // "./resources/js/**/*"
    // "./resources/js/**/*.vue",
    // "./resources/js/**/*.ts",
    // "./resources/js/**/*.vue",
  ],
  "exclude": [
    "node_modules",
    "build",
    "public"
    // "src/**/js/*.js"
  ],
  "compilerOptions": {
    "allowJs": true,
    "outDir": "build",
    "rootDir": "./",
    "sourceMap": true,
    "moduleResolution": "node", //neu
    "experimentalDecorators": true, //neu
    "strictPropertyInitialization": false, //neu
    // Target latest language version 'esnext' of ECMAScript or minimal 'es6'.
    "target": "esnext", //neu
    //what module code is generated
    "module": "NodeNext", //neu
    "skipLibCheck": true, //neu
    "esModuleInterop": true, //neu
    "allowSyntheticDefaultImports": true, //neu,   
    "paths": {
      "App/*": [
        "./app/*"
      ],
      "Config/*": [
        "./config/*"
      ],
      "Contracts/*": [
        "./contracts/*"
      ],
      "Database/*": [
        "./database/*"
      ],
      // "@/*": ["./resources/js/"],
      "@/*": [
        "./resources/js/*"
      ]
      // "vue$": ["vue/dist/vue.runtime.esm-bundler.js"],
    },
    "types": [
      "@adonisjs/core",
      "@adonisjs/repl",
      "@adonisjs/session",
      "@adonisjs/view",
      "@adonisjs/shield",
      "@japa/preset-adonis/build/adonis-typings",
      "@eidellev/inertia-adonisjs",
      "naive-ui/volar",
      "@adonisjs/lucid",
      "@adonisjs/auth"
    ]
  },
  "files": [
    "index.d.ts"
  ]
}
